Bug 18581 - Add standard edit and delete buttons to suggestions list
Summary: Add standard edit and delete buttons to suggestions list
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL: /cgi-bin/koha/suggestion/suggestion.pl
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-11 14:52 UTC by Owen Leonard
Modified: 2017-09-29 12:30 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18581 - Add standard edit and delete buttons to suggestions list (5.64 KB, patch)
2017-05-11 15:07 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18581 - Add standard edit and delete buttons to suggestions list (5.71 KB, patch)
2017-05-12 06:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18581 - Add standard edit and delete buttons to suggestions list (5.79 KB, patch)
2017-08-25 10:20 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-05-11 14:52:34 UTC
Right now the list of suggestions in the staff client has an "[edit]" link but no corresponding delete button, although there is a delete button on the detailed view. I propose to add the standard pair of edit and delete buttons to the table.
Comment 1 Owen Leonard 2017-05-11 15:07:34 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2017-05-12 06:17:16 UTC
Created attachment 63402 [details] [review]
[SIGNED OFF] Bug 18581 - Add standard edit and delete buttons to suggestions list

This patch modifies the table of suggestions in the staff client, moving
the edit link to the standard last column and styling it correctly. A
delete button is added as well.

Unrelated change: I removed the column containing suggestionid because I
don't think it's human-relevant information.

To test, apply the patch and go to Acquisitions -> Suggestions.

- In each tab, the table of suggestions should have an unsorted last
  column containing "edit" and "delete" links which should be styled
  correctly and working correctly.
- On the detailed view of a suggestion, the "delete" button in the
  toolbar should still work correctly.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Marcel de Rooy 2017-08-25 10:20:31 UTC
Created attachment 66469 [details] [review]
Bug 18581 - Add standard edit and delete buttons to suggestions list

This patch modifies the table of suggestions in the staff client, moving
the edit link to the standard last column and styling it correctly. A
delete button is added as well.

Unrelated change: I removed the column containing suggestionid because I
don't think it's human-relevant information.

To test, apply the patch and go to Acquisitions -> Suggestions.

- In each tab, the table of suggestions should have an unsorted last
  column containing "edit" and "delete" links which should be styled
  correctly and working correctly.
- On the detailed view of a suggestion, the "delete" button in the
  toolbar should still work correctly.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2017-08-25 14:01:25 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-09-29 12:30:38 UTC
Enhancement not pushed to 17.05.x